#ifndef __OGMRIP_VERSION_H__
#define __OGMRIP_VERSION_H__

/*
 * Compile time version of OGMRip
 */

#define OGMRIP_MAJOR_VERSION       (0)
#define OGMRIP_MINOR_VERSION       (10)
#define OGMRIP_MICRO_VERSION       (3)

/*
 * Compile time version of MPlayer
 */

#define MPLAYER_MAJOR_VERSION      (1)
#define MPLAYER_MINOR_VERSION      (0)
#define MPLAYER_PRE_VERSION        (0)
#define MPLAYER_RC_VERSION         (1)

/*
 * Check if version if equal or greather than
 * major.minor.micro
 */

#define OGMRIP_CHECK_VERSION(major,minor,micro)  \
  ((OGMRIP_MAJOR_VERSION > (major)) || \
   (OGMRIP_MAJOR_VERSION == (major) && OGMRIP_MINOR_VERSION > (minor)) || \
   (OGMRIP_MAJOR_VERSION == (major) && OGMRIP_MINOR_VERSION == (minor) && OGMRIP_MICRO_VERSION >= (micro)))

/*
 * Check if version is equal or greather than
 * major.minor, major.minor-rc or major.minor-pre
 * in that order
 */

#define MPLAYER_CHECK_VERSION(major,minor,rc,pre) \
  ((MPLAYER_MAJOR_VERSION > (major)) || \
   (MPLAYER_MAJOR_VERSION == (major) && MPLAYER_MINOR_VERSION > (minor)) || \
   (MPLAYER_MAJOR_VERSION == (major) && MPLAYER_MINOR_VERSION == (minor) && \
    ((MPLAYER_RC_VERSION == 0 && MPLAYER_PRE_VERSION == 0) || \
     ((MPLAYER_RC_VERSION != 0 || MPLAYER_PRE_VERSION != 0) && ((rc) != 0 || (pre) != 0) && (MPLAYER_RC_VERSION > (rc))) || \
     ((MPLAYER_RC_VERSION != 0 || MPLAYER_PRE_VERSION != 0) && ((rc) != 0 || (pre) != 0) && MPLAYER_RC_VERSION == (rc) && MPLAYER_PRE_VERSION >= (pre)))))

#endif /* __OGMRIP_VERSION_H__ */

